import React from 'react';
import { action } from '@storybook/addon-actions';
import { IconBrightnessLow } from '@defencedigital/icon-library';
import { ButtonGroup, ButtonGroupItem } from '.';
import { COMPONENT_SIZE } from '../Forms';
export default {
  component: ButtonGroup,
  subcomponents: {
    ButtonGroupItem: ButtonGroupItem
  },
  title: 'Button Group',
  parameters: {
    actions: {
      argTypesRegex: '^on.*'
    }
  }
};
export var Default = function Default(_ref) {
  var size = _ref.size;
  return /*#__PURE__*/React.createElement(ButtonGroup, {
    size: size
  }, /*#__PURE__*/React.createElement(ButtonGroupItem, {
    onClick: action('onClick - One')
  }, "One"), /*#__PURE__*/React.createElement(ButtonGroupItem, {
    onClick: action('onClick - Two')
  }, "Two"), /*#__PURE__*/React.createElement(ButtonGroupItem, {
    onClick: action('onClick - Three'),
    isDisabled: true,
    icon: /*#__PURE__*/React.createElement(IconBrightnessLow, null)
  }, "Three"));
};
Default.args = {
  size: COMPONENT_SIZE.FORMS
};
export var Small = function Small(_ref2) {
  var size = _ref2.size;
  return /*#__PURE__*/React.createElement(ButtonGroup, {
    size: size
  }, /*#__PURE__*/React.createElement(ButtonGroupItem, {
    onClick: action('onClick')
  }, "One"), /*#__PURE__*/React.createElement(ButtonGroupItem, null, "Two"), /*#__PURE__*/React.createElement(ButtonGroupItem, {
    isDisabled: true,
    icon: /*#__PURE__*/React.createElement(IconBrightnessLow, null)
  }, "Three"));
};
Small.args = {
  size: COMPONENT_SIZE.SMALL
};